#' Railroad Network
#'
#' Function returning data frame of railroads of the Czech Republic as `sf` lines. It has no obligatory parameters.
#'
#' Due to package size constraints the data are stored externally (and a working internet connection is required to use the package).
#'
#' The data is current to December 2020. Downloaded size is <1 MB.
#'
#' @return `sf` data frame with 9.957 rows of 3 variables + geometry:
#'
#' \describe{
#'   \item{ELEKTRIFIKACE}{is the railroad electrified?}
#'   \item{KOLEJNOST}{track: single = jednokolejní, double = dvojkolejní, more = tří a vícekolejní}
#'   \item{ROZCHODNOST}{gauge: standard = normální, narrow = úzkokolejka}
#' }
#'
#' @source Mapový podklad – Data200, 2021 © Český úřad zeměměřický a katastrální. <https://cuzk.gov.cz>
#'
#' @export

zeleznice <- function() {
  result <- .downloader("Zeleznice-D200-2021-07.rds")
  result
}
